### Method

# ECal ComponentAlarm take_attachments

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_take_attachments (
      ECalComponentAlarm* alarm,
      GSList* attachments
    )

#### Description [src]

Sets the list of attachments, as a `GSList` of an `ICalAttach` and assumes ownership of the `attachments` and its content.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`attachments`

  Type: A list of `ICalAttach*`

  A `GSList` of an `ICalAttach` objects to set as attachments, or `NULL` to unset.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.